## NAME

           form_field_userptr  -  associate  application  data with a
           form field

## SYNOPSIS

           #include <form.h>
           int set_field_userptr(FIELD *field, void*userptr);
           void *field_userptr(const FIELD *field);

## DESCRIPTION

           Every form field has a field that  can  be  used  to  hold
           application-specific  data  (that is, the form-driver code
           leaves it alone).  These functions get and set that field.

## RETURN VALUE

           The  function  field_userptr  returns  NULL  on error. The
           function set_field_userptr returns one of the following:

           E_OK The routine succeeded.

           E_SYSTEM_ERROR
                System error occurred (see errno).

## SEE ALSO

           curses(3x), form(3x).

## NOTES

           The header file <form.h> automatically includes the header
           file <curses.h>.

## PORTABILITY

           These  routines  emulate the System V forms library.  They
           were not supported on Version 7 or BSD versions.

           The user pointer should be a void pointer.  We leave it as
           a char pointer for SVr4 compatibility.

## AUTHORS

           Juergen  Pfeifer.   Manual  pages  and  adaptation for new
           curses by Eric S. Raymond.